# Interface FormatOptions

Options supported by format.

interface FormatOptions {
format?: string;
isDateOnly?: boolean;
locale?: string;
timeZone?: string;
}

#####
Index

### Properties

format?
isDateOnly?
locale?
timeZone?

##
Properties

### `Optional` format

format?: string

The date format. See utilities/format/date!DateFormatter.format.

### `Optional` isDateOnly

isDateOnly?: boolean

Indicates if the date should be formatted without the time component even if the format suggests to include a time.

### `Optional` locale

locale?: string

The locale to use when formatting the date. If not specified, the current locale is used (see locale module).

### `Optional` timeZone

timeZone?: string

The time zone of the date being formatted.